function isHidden(el) {
    if(el == undefined || el == null){
        return true;
    }
    var style = window.getComputedStyle(el);
    if(style == undefined || style == null){
        return true;
    }
    return (style.display === 'none')
}

function getPathTo(element) {
    if (element.id!=='' && element.tagName !== 'FORM')
        return "//*[@id='"+element.id+"']";

    if (element===document.body)
        return element.tagName.toLowerCase();

    var ix= 0;
    var siblings= element.parentNode.childNodes;
    for (var i= 0; i<siblings.length; i++) {
        var sibling= siblings[i];

        if (sibling===element) return getPathTo(element.parentNode) + '/' + element.tagName.toLowerCase() + '[' + (ix + 1) + ']';

        if (sibling.nodeType===1 && sibling.tagName === element.tagName) {
            ix++;
        }
    }
}

function selectElement(x, y, height, width, isImg) {
 x *= (window.innerWidth / width);
 y *= (window.innerHeight / height);
 var tag = document.elementFromPoint(x, y);
 if(isImg == "True" && tag.tagName != "IMG"){
    var siblings = tag.parentNode.childNodes;
    for (var i= 0; i < siblings.length; i++) {
        var sibling = siblings[i];
        if(!isHidden(sibling)){
            if(sibling.tagName == "IMG"){
                tag = sibling;
                break;
            }
            var firstImgChild = sibling.getElementsByTagName('img')[0];
            if(firstImgChild !== null && firstImgChild != undefined){
                tag = firstImgChild;
                break;
            }
        }
    }
 }
 if (tag != undefined) {
    var path = getPathTo(tag);
    var dataArray = [];
    if(tag.tagName == "IMG"){

       var src = tag.getAttribute('src');
       if(src == null || src == ""){
           src = "";
       }

       dataArray.push({"location" : path, "src" : src});
    }else{
       dataArray.push({ "location" : path, "text":tag.innerText });
    }
    var json = JSON.stringify(dataArray);
    alert(json);
 }
}
